
package paqueteBL;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * @author sysmq
 */
public class Backup {
    private int id;
    private int idVM;
    private Date fecha;



    public Backup()
    {
        fecha=new Date();
    }

    /**
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * @return the idVM
     */
    public int getIdVM() {
        return idVM;
    }

    /**
     * @param idVM the idVM to set
     */
    public void setIdVM(int idVM) {
        this.idVM = idVM;
    }

     /**
     * @return the fecha
     */
    public Date getFecha() {
        return fecha;
    }


    public String getStrFecha()
    {
        if (fecha!=null)
        {
            SimpleDateFormat formato = new SimpleDateFormat("HH:mm  dd/MM/yy");
            return formato.format(fecha);
        }
        else
            return "";
    }


    /**
     * @param fecha the fecha to set
     */
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }


}
